echo off
cls

if "%1"=="" (echo.ERROR: Missing parameter!
             echo.
             echo.Usage:   gdrive_file_upload filename [directory_id]
             echo.Example: gdrive_file_upload data.7z [Backups]
             echo.
             echo.Note: square brackets [] means that a directory is an optional parameter
             echo.
             pause
             goto END
            )

set file=%1
if NOT "%2"=="" (set directory_id=%2)

if "%directory_id%"=="" (gdrive --config .\gdrive_auth_token upload --share %file%)
if NOT "%directory_id%"=="" (gdrive --config .\gdrive_auth_token upload --share --parent %directory_id% %file%)

:END
exit